Bric::App::MediaFunc(3p)

NAME
Bric::App::MediaFunc - Location for functions that query uploaded media files.

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
TBD.

DESCRIPTION
TBD.

INTERFACE

  Constructors

$mediafunc = Bric::App::MediaFunc->new($init);
    Creates a new object to run the given methods against

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Destructors

$p->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

  Public Class Methods
NONE

  Public Functions

$height = $media_func->get_height
    Returns the height of the image.

    Throws: NONE.

    Side Effects: NONE.

    Throws: NONE.

$width = $media->get_width
    Returns the width of the image.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$color_type = $media->get_color_type
    Returns the color type of the image.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$resolution = $media->get_resolution()
    Returns the resolution of the image.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$samples_per_pixel = $media->get_samples_per_pixel()
    Returns the samples per pixel in the image.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$bits_per_sample = $media->get_bits_per_sample
    Returns the bits per sample in the image.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$comment = $media->get_comment
    Returns the image comment.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$interlace = $media->get_interlace
    Returns the image interlace.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$compression = $media->get_compression
    Returns the image compression.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$gama = $media->get_gama
    Returns the image gama.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$last_modi_time = $media->get_last_modi_time
    Returns the last modification time of the image.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

PRIVATE

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions

$image_info = $self->_get_image_info_obj()
    Returns the image info object.

    Throws:

    NONE

    Side Effects:

    NONE

    Notes:

    NONE

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric